/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/


/* DEALER LOOKUP CUSTOM STYLES */

#dealer_lookup { text-align: right; float: none; }

.dealer_title {
	display: inline-block;
	vertical-align: middle;
	margin-right: 6px;
}

label.invis{
	position:absolute;
	left:-54321em;
}

#fieldEmail, #fieldCity, #fieldState, #fieldZip{
	border: 1px solid #666;
	padding: 2px;
	color: #666;
	height: auto;
	margin-right: 1px;
}

#fieldEmail{
	width:125px;
}
#fieldCity{
	width:80px;
}
#fieldState{
	width:60px;
}
#fieldZip{
	width:60px;
}

#dealer_lookup input[type="submit"] {
	border: none;
	background: transparent;
	color: #fff;
	font-family: 'icomoon';
	cursor: pointer;
}

p.dealerP {
	float: left;
	width: 20%;
	margin-left: 5%;	
	height: 150px;
	text-align: left;
}

@media screen and (max-width: 1023px) {
	p.dealerP {
		width: 45%		
	}
}

@media screen and (max-width: 479px) {
	p.dealerP {
		width: 100%;
		margin-left: 0;
		height: auto;
	}
}

/* NEWSLETTER SIGNUP CUSTOM STYLES */
#newsletter_signup input[type="text"] {
	height: auto;
	padding: 8px 15px; 
	margin-bottom: 0.6em;
}

#newsletter_signup input[type="submit"] {
	-webkit-appearance: push-button;
}

/********************
* Shopping Cart icon
*********************/

#cart_icon {
	width: 28px;
	background: transparent url('images/cart.png') no-repeat center center;
	text-decoration: none;
}

#cart_quantity {
	position: absolute;
	display: block;		
	width: 20px;
	left: 6px;
	top: -1px;
	color: #fff;
	font-size: 10px;	
	text-align: center;
}

/********************
* Quick Cart
*********************/

.loading-overlay {
	
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(255, 255, 255, 0.75) url('images/loading.gif') no-repeat center center;
	display: none;
	min-height: 50px;
	z-index: 100;
}

#quick_cart {
	display: none;
	position: absolute;
	right: 3px;
	top: 75px;	
	background: #fff;
	border: solid 1px #000; 
	font-size: 0.9em;
	width: 300px;
	color: #000;
}

#quick_cart_header {
	font-size: 1.2em;
	padding: 12px 8px;
	border-bottom: solid 1px #999;
}

.quick_cart_close, .quick_cart_close:link, .quick_cart_close:visited {
	text-decoration: none;
	color: #000;
}

#quick_cart_items {
	position: relative;	
}

#quick_cart_items.loading {
	min-height: 100px;	
}

#quick_cart_items.loading .loading-overlay {
	display: block;	
}

.remove-item, .remove-item:link, .remove-item:visited {
	text-decoration: none;
	color: #dc1a21;
	font-size: 0.9em;
}

.remove-item:hover {
	text-decoration: underline;
}

.quick_cart_checkout, .quick_cart_checkout:visited, .quick_cart_checkout:hover {
	display: block;;
	width: 215px;
	color: #fff;
	background: #dc1a21;
	font-size: 1.3em;
	padding: 12px 0;
	margin: 0 auto;
	text-align: center;
	text-decoration: none;	
}

#quick_cart_header .quick_cart_close {
	display: inline-block;
	float: right;	
	font-weight: bold;	
}

.quick_cart_item {
	clear: both;
	overflow: hidden;
	margin-top: 10px;
}

.quick_cart_image {
	display: block;
	width: 50%;
	float: left;
	text-align: center;	
}

.quick_cart_image img {	
	width: 90%;
	height: auto;
}

.quick_cart_info {
	display: block;
	width: 50%;
	float: left;	
}

.quick_cart_info .name {
	font-size: 1.1em;
}

ul.item_attributes {
	margin: 0;
	padding: 0;
	list-style: none;	
}

ul.item_attributes li {
	margin: 3px 0 0 0;
	padding: 0;
	list-style-type: none;
	display: block;
	overflow: hidden;
	text-align: left;
	float: none;
}

ul.item_attributes li span {
	display: inline-block;
	font-weight: bold;
	text-align: left;	
}

.quick_cart_empty {	
	padding: 12px 8px;
	border-bottom: solid 1px #999;
}

.quick_cart_summary {
	padding: 12px 8px;
	margin: 10px 0 0 0;
	border-top: solid 1px #999;
	border-bottom: solid 1px #999;
	overflow: hidden;
}

.quick_cart_items_count {
	display:block;
	width: 50%;
	float: left;
	text-align: left;
}

.quick_cart_total {
	display: block;
	width: 50%;
	float: left;
	text-align: right;
}

.quick_cart_footer {
	padding: 12px 8px;
	margin: 0;	
}

.quick_cart_footer .quick_cart_close {	
	clear: both;
	display: block;
	text-align: center;	
	margin: 12px 0 0 0;
}

.quick_cart_footer .quick_cart_close:hover {
	text-decoration: underline;
}


/************************
* SHOPATRON CART STYLES
************************/

#shopatron_cart_container {
	min-height: 125px;
}

.shptrn_no_items_in_cart {
	text-align: center;
	font-size: 1.1em;
	padding-top: 57px;
}

#shptrn_addToCart {
	margin: 12px 0;
	padding: 12px;
	border: solid 1px #ccc;
}

.shptrn_product_option_container, .shptrn_quantity {
	overflow: hidden;
}

.shptrn_product_option {
	margin: 3px 0;
}

.shptrn_product_option label, .shptrn_quantity label {
	width: 25%;
	display: block;
	float: left;
	line-height: 38px;
}

#shptrn_addToCart .shptrn_quantity_selector { width: 80px; }

.shptrn_atc_button {
	padding: 6px 0 0 0;
	margin-left: 25%;
}

@media screen and (min-width: 801px) {
	.shptrn_product_option label, .shptrn_quantity label {
		width: auto;
		display: block;
		float: none;
		line-height: 25px;
	}
	
	.shptrn_atc_button {		
		margin-left: 0;
	}	
}

#shptrn_cart_items_header {
	background: #e1e1e1;
	padding: 8px;
}

#shptrn_ch_item, 
#shptrn_ch_part_num, 
#shptrn_ch_item_qty, 
#shptrn_ch_item_price {
	display: inline-block;
	font-weight: bold;
	font-size: 0.9em;
}

#shptrn_ch_item {
	width: 49%;	
}

#shptrn_ch_part_num {
	display: none;
}

#shptrn_ch_item_qty {
	width: 35%;
}

#shptrn_ch_item_price {
	width: 15%;
	text-align: right;
}

.shptrn_cart_item, .shptrn_cart_item table {
	width: 100%;	
}

.shptrn_cart_item, .shptrn_cart_item table td {
	padding: 0;
}

.shptrn_cart_item {
	border-bottom: solid 1px #ccc;
	padding: 12px 0;
}

.shptrn_ci_image {
	width: 14%;
}

.shptrn_ci_details {
	width: 35%;
}

.shptrn_ci_details ul {
	margin: 0;
	padding: 0;
	list-type: none;
}
.shptrn_ci_details ul li {
	margin: 0;
	padding: 0;
	list-style-type: none;
}

.shptrn_ci_part_num {
	display: none;
}

.shptrn_ci_qty {
	width: 35%;
}

.shptrn_ci_qty input[type="text"] {
	width: 30px;
	text-align: center;
    padding: 8px 0;
}

.shptrn_ci_price {
	width: 15%;
	text-align:right;
}

.shptrn_cart_price_row.total {
	border-bottom: solid 1px #CCC;
	text-align: right;
	padding: 12px 0;
	font-weight: bold;
}

.shptrn_cart_price_row.total .right {
	display: inline-block;
	width: 150px;
	padding: 0 1px;	
}

.shptrn_cart_price_row.checkout {
	text-align: right;
	padding: 12px 0;
}

.shptrn_atc_button .shptrn_button,
.shptrn_checkout_button .shptrn_button {
	display: inline-block;
	color: #fff;
	background: #dc1a21;
	font-size: 1.3em;
	padding: 12px 24px;
	margin: 0 auto;
	text-align: center;
	text-decoration: none;
	border: none;	
	cursor: pointer;
}

.shptrn_checkout_button .shptrn_button:after {
	content: ' >';
}

.shptrn-cart-open { overflow: visible!important; }

.hidequantity .shptrn_quantity label[for="quantity"], 
.hidequantity .shptrn_quantity .shptrn_quantity_selector {
	display: none;
}

.accessory-buy-now #shptrn_addToCart {
	margin: 0;
	padding: 0;
	border: none;
}

.accessory-buy-now .shptrn_atc_button {
	margin-left: 0;
}

.accessory-buy-now .shptrn_product_option label {
	display: none;
}

/*****
 Bindings page filter sub-items
*****/
ul.fusion-filter-sub { position: absolute; margin: 8px 0 0 0; padding: 0; list-style: none; line-height: 20px; }
.fusion-filters .fusion-filter ul.fusion-filter-sub li { display: inline-block; margin: 0 30px 0 0; padding: 0; list-style-type: none; }
.fusion-filters .fusion-filter ul.fusion-filter-sub li a { border: none; color: #333333; line-height: 20px; }
.fusion-filters .fusion-filter ul.fusion-filter-sub li a:hover { color: #d81e2a; }

@media only screen and (max-width: 800px) {
	ul.fusion-filter-sub { position: relative; margin: 0; }
	.fusion-filters .fusion-filter ul.fusion-filter-sub li { display: block; margin: 0 0 0 30px; }
}


